<?php 

$A = array(3,8,15,16); // creación de la tabla con cuatro elementos
$B = array();
$contador = 0; //inicialización del contador que representa el indice de la tabla $B
for ($i=1;$i<=20;$i++) { //tabla de 1 a 20
	if ( in_array($i,$A)) {
		$contador++; //incremento del contador
		$B[$contador]=$i;
	}
}
//función qui devuelve el cubo de un valor
function cube($valor) {
	$regreso = $valor*$valor*$valor;
	return $regreso;
}

//muestra la tabla HTML con el valor de la tabla $B y su resultado al cubo
echo "<table border='1'>";
echo "<tr><td>valor</td><td>valor al cubo</td></tr>"; //muestra del encabezado
foreach ($B as $val) {
	echo "<tr><td>".$val."</td><td>".cube($val)."</td></tr>";
}
echo "</table>";

  

?>
